<template>
  <div align="center">
    <v-simple-table
      dense
      :loading="loading"
      v-show="!loading"
      v-if="items.length > 0"
    >
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left"># รหัสฟอร์ม</th>
            <th class="text-left">รหัสล็อกเกอร์</th>
            <th class="text-left" v-if="role == 'Admin'">ชื่อ Partner</th>
            <th class="text-center">วันที่สร้าง</th>
            <th class="text-center">สถานะ</th>
            <th class="text-center">รายละเอียด</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td class="text-caption">{{ item.formCode }}</td>
            <td class="text-caption">{{ item.lockerCode }}</td>
            <td class="text-caption" v-if="role == 'Admin'">
              {{ item | fullName }}
            </td>
            <td class="text-center">
              <v-chip
                class="ma-2 text-caption"
                color="indigo darken-3"
                outlined
                pill
              >
                {{ item.createDate | fomatDate }}
                <v-icon right> date_range </v-icon>
              </v-chip>
            </td>
            <td class="text-center text-caption">
              <v-chip class="ma-2" :color="item | colorStatus" label outlined>
                {{ item | status }}
              </v-chip>
            </td>
            <td class="text-center text-caption">
              <v-icon color="info" class="mr-2" @click="showDialog(item)">
                pageview
              </v-icon>
              <v-tooltip right v-if="role == 'Partner'">
                <template v-slot:activator="{ on, attrs }">
                  <v-icon
                    color="warning"
                    v-on="on"
                    v-bind="attrs"
                    v-show="isShow(item)"
                    class="mr-2"
                    @click="repairReport(item)"
                  >
                    report_problem
                  </v-icon>
                </template>
                <span>แจ้งซ่อม</span>
              </v-tooltip>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <DialogDetail
      v-model="obj"
      :dialog="dialogDetail"
      :close.sync="dialogDetail"
      @update-table="updateTable"
    />
  </div>
</template>

<script>
import DialogDetail from "./DialogDetail";
export default {
  props: ["items", "role", "loading"],
  components: {
    DialogDetail,
  },
  data() {
    return {
      dialogDetail: false,
      obj: {},
    };
  },
  methods: {
    isShow(item) {
      return item.status === "A";
    },
    repairReport(item) {
      this.$router.push({ name: "createRepairForm", params: { locker: item } });
    },
    updateTable(i) {
      if (i) this.$emit("update-table-parent", i);
    },
    showDialog(item) {
      this.dialogDetail = true;
      item.fullName = this.$options.filters.fullName(item);
      this.obj = Object.assign({}, item);
    },
  },
};
</script>

<style>
</style>